#ifndef _DJGPP_INCLUDE_SOUND_H
#define _DJGPP_INCLUDE_SOUND_H

#include "pce.h"

#if defined(SEAL_SOUND)

#include <audio.h> //SEAL include

extern HAC hVoice;

extern LPAUDIOWAVE lpWave;

#endif /* SEAL sound */

#define SOUND_BUF_MS	200
// I think it's too long but for a beginning it'll be enough

#define SBUF_SIZE_BYTE  44100*SOUND_BUF_MS/1000
// Calculated for mono sound

extern char* sbuf[6];//[SBUF_SIZE_BYTE];
//unsigned	short sbuf[6][SBUF_SIZE_BYTE];
// the buffer where the "DATA-TO-SEND-TO-THE-SOUND-CARD" go
// one for each channel

extern char main_buf[SBUF_SIZE_BYTE];
//unsigned	short main_buf[SBUF_SIZE_BYTE];
// the mixed buffer, may be removed later for hard mixing...

int InitSound(void);
void TrashSound(void);
void write_psg(int ch);
void WriteBuffer(char*,int,unsigned);
//void WriteBuffer(WORD*,int,DWORD);

#endif // HDEF_SOUND_H
