/*************************************************************************/
/*                                                                       */
/*                       List of Rom header                              */
/*                                                                       */
/*              Made by Zeograd (zeograd@caramail.com)                   */
/*                                                                       */
/*    11 June '99 : 521 recognized roms                                  */
/*    24 June '99 : 526 recognized roms                                  */
/*                                                                       */
/*************************************************************************/
#ifndef _DJ_INCLUDE_LIST_ROM_H
#define _DJ_INCLUDE_LIST_ROM_H

//#include "CRC_ctl.h"
#include <stdio.h>
#include <stdlib.h>

#define SUPER_GRAPHX 1
#define TWO_PART_ROM 2
#define PINBALL_KEY  4

#define USA          64
#define JAP          128

typedef struct {
	unsigned long CRC;
	char *name,*serial,*date,*size,*note;
        unsigned char flags;
} ROM_TYPE;

#define NB_ROM 526
#define NO_POPULOUS1 419
#define NO_POPULOUS2 420

#include "cleantyp.h"

extern ROM_TYPE ROM_LIST[NB_ROM];

unsigned long filesize(FILE *F);
UInt32 CRC_file(char *name);

#endif
